import { defineConfig } from 'tsup';

export default defineConfig({
  clean: true,
  dts: false,
  entry: ['src/index.ts'],
  format: ['esm', 'cjs'],
  minify: false,
  skipNodeModulesBundle: true,
  sourcemap: true,
  target: 'es2021',
  keepNames: true,
  tsconfig: 'src/tsconfig.json',
  esbuildOptions: (options, context) => {
    if (context.format === 'cjs') {
      options.banner = {
        js: '"use strict";',
      };
    }
  },
});
